from selenium import webdriver
import time
#import networkx as nx
#import dataset
import pickle
import codecs
from selenium.webdriver.common import keys
from selenium.webdriver.common.keys import Keys
import sys
import os
import time
import random
import re
#import pandas as pd
from browser_common import JBrowser
import datetime
#import dataset



def get_designer_statistics(designer_list):
    jb=JBrowser()
    pnum=random.randint(2,7)
    jb.set_profile_path("Profile "+str(pnum))
    #q='萬寶隆空間設計團隊'
    #q='含仰空間設計'
    #q='承炫裝修有限公司'
    #q='寓子設計'
    #q='水水設計'
    #q='廣延空間設計'
    #q='里摩室內裝修設計'
#    qlist=['三宅一秀','元均制作','采品室內設計','比沙列室內','澤序空間設計','禾築國際設計','恆岳空間設計','優尼客空間設計','摩登雅舍','亞維空間設計','采舍空間設計','雅典設計','IS國際設計','上築空間設計','京璽國際','禾亞國際室內','我思空間設計','雲方室內設計','允庭室內裝修','富億空間設計','格綸設計','浩室設計','豐聚室內設計','唐林建築室內','沛沛國際室內設計','']
    #q=qlist[0]

    details=[]
    masters=[]
#    specials=[' hhh',' 幸福空間',' 幸福', ' 居家台', ' 0809', ' glory', ' 觀眾最愛', ' 亞洲設計獎', ' 幸福經紀人', ' 退休好幸福',' 設計師影音']
#    for q in qlist:
    for q in designer_list:
#        elmt=random.choice(specials)
#        q+=elmt
#        q+=' 幸福空間'
#        q+=' hhh'

#        googleurl='https://www.google.com/search?q='+q
        googleurl='https://www.google.com/search?q='+q

        jb.get(googleurl)

        driver=jb.get_driver()
        time.sleep(3)


        elmts=driver.find_elements_by_xpath("//div[@class='g']//div[@class='yuRUbf']//a")
        idx=1
        ranking=-1
        for elmt in elmts:
            href=elmt.get_attribute('href')
            txt=elmt.text
            if len(txt)>10:
                if 'hhh.com.tw' in href:
                    webdriver.ActionChains(driver).move_to_element(elmt).perform()
                    webdriver.ActionChains(driver).move_to_element(elmt).click().perform()
                    time.sleep(15)
                    driver.quit()
                    return

                print(href)
                print(txt)
    #            table.insert({'designer':q,'title':txt,'url':href,'ranking':idx})
                details.append({'designer':q,'title':txt,'url':href,'ranking':idx})

                idx+=1

        time.sleep(3)
#    print(masters)
#    print(details)
    driver.quit()
    return {'masters':masters,'details':details}

def find_master_by_designer(masters,designer):
    for m in masters:
        if m['designer']==designer:
            return m

# 寓子設計
#qlist=['元均制作']
#qlist=['三宅一秀']
#qlist=['采品室內設計']
#qlist=['寓子設計']
#qlist=['綵韻室內設計','春雨時尚空間','阿曼空間設計','雅典設計','境庭國際設計']
#qlist=['豐聚室內裝修','張馨室內設計','尚藝室內裝修','富億空間設計','比沙列室內裝修']
#qlist=['森境王俊宏設計','格綸設計','齊舍設計','采舍空間設計','大琚空間設計']
#qlist=['將作空間','昱承室內裝修','YHS DESIGN','德本迪室內設計','東風室內設計']
#qlist=['陶璽空間設計','惹雅國際設計','浩室設計','藝谷空間設計','IS國際設計']
#qlist=['摩登雅舍室內','星葉室內裝修','浩室設計','演拓空間','千綵胤空間']
#qlist=['京璽國際','元典設計','朱英凱室內設計','亞維空間設計','馥築時尚設計']
#qlist=['文儀室內裝修','寓子設計','恆岳空間設計','卓林室內設計','歐德傢俱']
#qlist=['大久空間設計','成綺空間設計','知域設計','尚展空間設計','演繹動線空間']
#qlist=['苡希創意設計','玖柞設計','維耕設計','昱森室內設計','上築空間設計']
#qlist=['HATCH合砌設計','至文室內裝修','上陽設計','禾禾設計','聯寬室內裝修']

#設計
#qlist=['三宅一秀','萬寶隆空間設計','含仰空間設計','元均制作','承炫裝修']
#qlist=['上築空間設計','豐聚室內裝修','富億空間設計','浩室設計','京璽國際','IS國際設計','優尼客','摩登雅舍','亞維空間設計','比沙列','富億設計','豐聚設計']
#qlist=['春雨時尚空間','萬寶隆空間設計','含仰空間設計','綵韻室內設計','雅典設計','境庭國際設計','張馨室內設計','尚藝室內裝修','豐聚室內裝修','阿曼空間設計','尚藝室內裝修','富億空間設計','齊舍設計','大琚空間設計','將作空間','昱承室內裝修','YHS DESIGN','德本迪室內設計','森境王俊宏設計','綵韻室內設計','寓子設計','東風室內設計','陶璽空間設計','惹雅國際設計','藝谷空間設計']

#qlist=['富億空間','幸福空間節目 富億','幸福空間設計師 富億','幸福空間 富億','幸福空間 fe設計','老屋 富億','老屋翻新 富億','天井設計案例 富億']
#qlist=['奧立佛 設計師 鍾鼎','奧立佛 老屋翻新','奧立佛 住宅改造','奧立佛 監工費','奧立佛 設計 鍾黎']
qlist=['卓林室內設計','卓林設計 林繹寬','卓林設計 設計師','卓林設計 機能宅','卓林設計 室內設計','卓林 室內設計','卓林設計 坪效','卓林設計 空間設計']

while True:
    q=random.choice(qlist)
    print(q)
    results=get_designer_statistics([q])
    print(results)
    time.sleep(15)

time.sleep(9999)